Subject: Re: Relation bulk write facility

From: Robert Haas <[email-masked]>
Date: Wed, 10 Jan 2024 11:17:22 -0500

On Fri, Nov 24, 2023 at 10:22 PM Heikki Linnakangas <[email-masked]> wrote:
> Yeah, I'm not very happy with this interface. The model is that you get
> a buffer to write to by calling bulkw_alloc_buf(). Later, you hand it
> over to bulkw_write(), which takes ownership of it and frees it later.
> There is no other function to free it, although currently the buffer is
> just palloc'd so you could call pfree on it.

I think we should try to pick prefixes that are one or more words
rather than using word fragments. bulkw is an awkward prefix even for
people whose first language is English, and probably more awkward for
others.

-- 
Robert Haas
EDB: http://www.enterprisedb.com